# MySQL dump 8.8
#
# Host: localhost    Database: jeremy
#--------------------------------------------------------
# Server version	3.23.22-beta

#
# Table structure for table 'accounting'
#

CREATE TABLE accounting (
  uid int(7),
  charge float(4,2),
  reason text,
  whn timestamp(14),
  id int(7) NOT NULL auto_increment,
  PRIMARY KEY (id)
);

#
# Table structure for table 'buy_it_now'
#

CREATE TABLE buy_it_now (
  price float(8,2),
  pid int(7)
);

#
# Table structure for table 'feedback'
#

CREATE TABLE feedback (
  userid int(6),
  pid int(7),
  poster int(6),
  timestamp timestamp(14),
  comment text,
  rating int(7),
  id int(6) NOT NULL auto_increment,
  PRIMARY KEY (id)
);

#
# Table structure for table 'product_additions'
#

CREATE TABLE product_additions (
  addition_text text,
  pid int(8),
  date_added datetime
);

#
# Table structure for table 'products'
#

CREATE TABLE products (
  name text,
  category varchar(30),
  description text,
  quantity int(3),
  start_bid varchar(20),
  current_bid varchar(20),
  current_bid_uid varchar(7),
  num_bids int(4),
  location varchar(40),
  country varchar(40),
  starts datetime,
  ends datetime,
  seller int(7),
  payment text,
  picture text,
  featured char(3),
  pid int(7) NOT NULL auto_increment,
  PRIMARY KEY (pid)
);

# NOT NEEDED, NOT YET IMPLEMENTED
# Table structure for table 'proxy'
#
#
#CREATE TABLE proxy (
#  uid int(7),
#  pid int(7),
#  high_bid float(10,2)
#);

#
# Table structure for table 'suspensions'
#

CREATE TABLE suspensions (
  uid int(7),
  reason text,
  starts timestamp(14),
  ends timestamp(14)
);

#
# Table structure for table 'users'
#

CREATE TABLE users (
  firstname varchar(30),
  lastname varchar(30),
  username varchar(20),
  password varchar(20),
  email varchar(30),
  address text,
  city varchar(30),
  state varchar(20),
  zipcode varchar(12),
  phone varchar(15),
  fax varchar(15),
  uid int(7) NOT NULL auto_increment,
  status varchar(10),
  created timestamp(14),
  PRIMARY KEY (uid)
);

#
# Table structure for table 'validate_email'
#

CREATE TABLE validate_email (
  uid int(7),
  email text,
  key_string text,
  validated int(1)
);

#
# Table structure for table 'watchlist'
#

CREATE TABLE watchlist (
  uid int(7),
  pid int(7),
  id int(7) NOT NULL auto_increment,
  PRIMARY KEY (id)
);

